<%
'===============================================================================
'WWWeb Concepts ASP Development Solutions www.ebconcepts.com
'This application designed and written by written by James W. Threadgill 
'wayne@ebconcepts.com' with exceptions noted.*
'Copyright 2001. All Rights Reserved.
'===============================================================================
' Page Template Functionality					
' 2001 Cactusoft Ltd. www.cactusoft.com
'===============================================
' You may use the code and functions within this
' template sample application on any web site
' for free providing the comments, copyright
' messages and link to our site are retained.
' Queries? Can't promise we can respond to
' everything but try us!
' mailto:skinsample@cactusoft.com
'===============================================

strTemplateLocation= "../page/"

'-----------------------------------------------
' For the datastamp, we create a string of HTML
' which we can add into the page later. Any
' other dynamic text that needs to be included
' on each page can be created in this fashion
' and stored as a string of HTML.
'-----------------------------------------------
strDateStampHTML = monthname(month(now())) & ", " & (day(now()) & " " & year(now()))

'-----------------------------------------------
' For the hit counter, we create a string of HTML
' which we can add into the page later.
'Replaces the xxxHITCOUNTxxx tag with hits counter.
'-----------------------------------------------

Dim objPageCount
Set objPageCount = Server.CreateObject("MSWC.PageCounter")

'Increment the counter
  objPageCount.PageHit()
  
'Display the total number of hits to the page
strHitCountHTML = strHitCountHTML & ("Visitor: " & objPageCount.Hits() & "")

'-----------------------------------------------
' This function allows us to read the page HTML
' from the template and store it as a string. We
' then adjust the path of images (so that our
' pages on the root using the template link to
' the correct path of the template's image
' folder. Next we replace the special xxx tags
' in the template with the string content such
' as date that we created above. Finally, we
' split the whole page string into a two-box
' array, with the split made around the
' xxxPAGECONTENTxxx tag. The two sections of
' HTML will later be added above and below the
' main content on each front end page.
'-----------------------------------------------
Function ReadFromTemplate(strTemplateLocation,aryPageTemplate,strDateStampHTML)

	'------------------------------------
	'LOOP THROUGH TEMPLATE FILE CONTENT
	'------------------------------------
	Set FileObject = Server.CreateObject("Scripting.FileSystemObject")
	BodytextFile = Server.MapPath(strTemplateLocation & "template.htm")
	Set InStream= FileObject.OpenTextFile (BodytextFile, 1, False, False)
	While not InStream.AtEndOfStream
	strPageBaseText = strPageBaseText & InStream.ReadLine & vbcrlf
	Wend
	Set Instream = Nothing

	'------------------------------------
	'FORMAT PAGE HTML STRING
	'------------------------------------
	strPageBaseText = Replace(strPageBaseText,"images", strTemplateLocation & "images")
	'Fix path to template images

	'Add the hitcount to the page by replacing the xxxHITCOUNTxxx tag with the string we created above
	strPageBaseText = Replace(strPageBaseText,"xxxHITCOUNTxxx",strHitCountHTML)
	
	strPageBaseText = Replace(strPageBaseText,"xxxDATESTAMPxxx",strDateStampHTML)
	'Add the datestamp to the page by replacing the xxxDATESTAMPxxx tag with the string we created above

	aryPageTemplate = split(strPageBaseText ,"xxxPAGECONTENTxxx",-1)
	'Create a two-box array by splitting the page HTML around the xxxPAGECONTENTxxx tag

	ReadFromTemplate = aryPageTemplate
END Function
%>
